<button (click) = this.loginlogoutService.logout() >Passer la commande </button>
<div class="container">
    <ng-container *ngIf="this.bdService.getPanier().length > 0; then panierPlein else panierVide"></ng-container>
    <ng-template #panierPlein>
    <h3> Voici les éléments du panier</h3>
        <div class="tabProduits">
            <table>
                <tr>
                    <th> ID </th>
                    <th> Description</th>
                    <th> Photo </th>
                    <th> Vidéo </th>
                    <th> Prix </th>
                    
                </tr>
                <tr *ngFor="let prod of this.bdService.getPanier()">
                    <td>{{ prod.pki }}</td>
                    <td>{{ prod.name }}</td>
                    <td><a href="{{ prod.photo }}"><img src="../../assets/images/icons8-image-30.png" alt=""></a></td>
                    <td><a href="{{ prod.video }}"><img src="../../assets/images/icons8-air-play-30.png" alt=""></a></td>
                    <td>{{ prod.prix }}</td>
                    <td><button (click)="this.bdService.togglePanier(prod.pki)" style="background-color: red;">Retirer</button></td>
                        
                </tr>
            </table>
        </div>
        <h3> Votre total est : {{calculerTotal()}}$</h3>
        
    <button (click) = this.commander() >Passer la commande </button>
    <button (click) = this.viderPanier() >Vider le panier </button>
    </ng-template>

    <ng-template #panierVide>
        <h3> Le panier est vide</h3>
    </ng-template>
</div>    

    
